const { defineConfig } = require('@vue/cli-service');
const { publicPath } = require('./src/config/public-path.js');

const path = require('path');
module.exports = defineConfig({
  transpileDependencies: true,
  configureWebpack: (config) => {
    config.resolve.alias = {
      '@': path.resolve(__dirname, './src'),
    };
    config.externals = {
      vue: 'Vue',
      axios: 'axios',
      vuex: 'Vuex',
      'vue-router': 'VueRouter',
      'element-ui': 'ELEMENT',
    };
  },
  css: {
    loaderOptions: {
      sass: {
        prependData: `@import "~@/assets/scss/index.scss";`,
      },
    },
  },
  publicPath: publicPath,
  productionSourceMap: false,
  // 本地运行配置，及反向代理配置
  devServer: {
    port: 8080,
    host: 'localhost',
    // https: false,
    // open: true, // 在服务器启动时自动在浏览器中打开应用程序
    // static: {
    //   publicPath: publicPath,
    // },
    // 反向代理配置
    // proxy: {
    //   "/api": {
    //     target: "http://www.gicdev.com", //代理接口
    //     changeOrigin: true,
    //     rewrite: (path) => path.replace(/^\/api/, ""),
    //   },
    // },
  },
});
